Subject: [Forces-protocol] RE: draft-ietf-forces-protocol-01.txt

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Mon, 25 Oct 2004 13:35:08 -0700

Robert, 

It seems to me like some of the changes below need to be discussed before they are made in the draft. Most are editorial though,

Regards
Hormuzd

-----Original Message-----
From: Robert Haas [mailto:[email-masked]] 
Sent: Monday, October 25, 2004 4:52 AM
To: [email-masked]
Cc: [email-masked]; Khosravi, Hormuzd M; Jamal Hadi Salim; ((Ram Gopal )); Ligang Dong; Weiming Wang
Subject: Re: draft-ietf-forces-protocol-01.txt

Avri,
Looks good. I have a few corrections, although not essential for now, 
unless you can't sleep after all the excitment on the list ...

- In the Config Response Msg section, the draft says

   Type (16 bits):
       The operations are same as those defined for Config messages.

whereas the other messages (Query, Event Notif) have now explicitely 
defined a "*-Response" operation type.  The table should therefore now 
look like:

   +-------------------+-------+------------+--------+-------------+
   |     Operation     | Query | Query-Resp | Config | Config-Resp |
   +-------------------+-------+------------+--------+-------------+
   |        Set        |       |            |    X   |             |
         Set-Response                                       X
   |                   |       |            |        |             |
   |       Delete      |       |            |    X   |             |
       Delete-Response                                      X
   |                   |       |            |        |             |
   |       Update      |       |            |    X   |            |
       Update-Response                                      X 
   |                   |       |            |        |             |
   |        Get        |   X   |            |        |             |
        Get-Response                  X 
   |                   |       |            |        |             |
   |  Event subscribe  |       |            |    X   |             |
   |  Ev.Sub.-Response |       |            |        |      X      |
   |                   |       |            |        |             |
   | Event unsubscribe |       |            |    X   |             |
   | Ev.Unsub.-Response|       |            |        |      X      |
   +-------------------+-------+------------+--------+-------------+

     +-----------+--------------+-------------+------------------+
     | Operation | Packet-Redir | Event-Notif | Event-Notif-Resp |
     +-----------+--------------+-------------+------------------+
     |  Payload  |       X      |             |                  |
     |           |              |             |                  |
     |   Report  |              |      X      |                  |
     |Report-Resp|              |             |         X        |
     +-----------+--------------+-------------+------------------+
Note that Operation "Event" was changed to "Report"

And the text I quoted above in the Config-Resp section 6.3.2 should be 
changed accordingly to :

   Type (16 bits):
       The operations include, ADD-Resp, DEL-Resp, UPDATE/REPLACE-Resp, DEL ALL-Resp, EVENT
       SUBSCRIBE-Resp, EVENT UNSUBSCRIBE-Resp, PACKET SUBSCRIBE, CANCEL-Resp.

I would drop in 6.3.1 and 6.3.2 the operation types PACKET *SUBSCRIBE. 
Note that all the messages above don't appear in the summary table, but 
maybe we should not overload the table with all of them.

-  add an Editorial's note after the text below (search for MIID):

      *  MIID table: a list of virtual LFB Instance IDs that map to a
         list of Instance IDs of LFBs in that FE

Editoral's note: it remains to be decided whether such an MIID table 
should be  used.

- search and correct typo "GET_RESPOSE"

- add a newline between Inter-FE topology and Intra-FE topology (sec 6.1.2):

         Note:  The attributes below were previously under Query
                message.
      *  Inter-FE topology Intra-FE topology

- you should appear as "Editor", not "co-editor". At least that's my 
understanding. Also, the ETRI name appears on the first page. I thought 
you said you didn't want that ? I personally don't care.

- I like the name "Core ForCES LFBs"

Thanks,
-Robert

[email-masked] wrote:

> I have submitted the following draft:
>
> http://psg.com/~avri/forces/draft/draft-ietf-forces-protocol-01-11.txt
>
> hope it is ok.
>
> a.
>
>
>

-- 
Robert Haas
IBM Zurich Research Laboratory
Säumerstrasse 4
CH-8803 Rüschlikon/Switzerland
phone +41-1-724-8698  fax +41-1-724-8578  http://www.zurich.ibm.com/~rha

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol